require 'spec_helper'
require 'matrix'

describe Samscript::Mouse do
  before :all do
    java_import 'java.awt.Point'
  end

  context "getting position" do
    it "getting mouse position as point" do
      Samscript::Mouse.position.should be_a(Point)
      Samscript::Mouse.position(as: :point).should be_a(Point)
    end

    it "getting mouse position as vector" do
      Samscript::Mouse.position(as: :vector).should be_a(Vector)
    end
  end

  context "setting position" do
    let(:point_pos) { Point.new(100, 100) }
    let(:vector_pos) { Vector[100, 100] }

    it "setting mouse position with point" do
      Samscript::Mouse.position = point_pos
      Samscript::Mouse.position.should == point_pos
    end

    it "setting mouse position with vector" do
      Samscript::Mouse.position = vector_pos
      Samscript::Mouse.position.should == point_pos
    end
  end
end
